<body>

<?php
	require_once("../config/connect.php");

	function get_my_default_printer()
	{
		$printer=mysql_fetch_array(mysql_query("SELECT win_drucker_name FROM drucker WHERE LOWER(ist_rechnungsdrucker) = 'ja' "));
		return($printer['win_drucker_name']);
	}

	function kassenlade_oeffnen_450()
	{
		//	print_r(printer_list(PRINTER_ENUM_LOCAL));
		$drucker=get_my_default_printer();
		if($printer=printer_open($drucker))
		{
			//echo $printer;
			printer_set_option($printer, PRINTER_MODE, "RAW");
			echo "Drucker $drucker geöffnet";
			printer_write($printer, "\x1B\x70\x00\xC8\xFA");
			//printer_write($printer, "\n");
			printer_close($printer);
		}
		else echo "Fehler beim Drucker öffnen";
	}	
	
	function kassenlade_oeffnen_nettun()
	{
		$command1="write_display_nettun.exe lade_oeffnen ";
		//echo("Befehl wird ausgefuehrt: " . $command1 . "<br>");
		exec($command1, $output, $error_code);
		if ($error_code >0 )
		{
			echo("Fehler beim oeffnen der Kassenlade " . $command1);
		}
		print_r($output);
	}
	
	function kassenlade_oeffnen()
	{
		if ( strtoupper(KUNDENANZEIGE_TYP) == 'NETTUN' )
		{
			kassenlade_oeffnen_nettun();
		}
		else if ( strtoupper(KUNDENANZEIGE_TYP) == 'EXPLORA' )
		{
			kassenlade_oeffnen_450();
		}
		
		else echo "System nicht definiert.";
	}
	
		// define('KUNDENANZEIGE_TYP', 'explora');
	kassenlade_oeffnen();
?>

</body>